Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 146780 - CAN-2005-0241 Correct handling of oversized reply headers
Summary: CAN-2005-0241 Correct handling of oversized reply headers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: squid
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard: impact=moderate,public=20050131
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-01 16:42 UTC by Josh Bressers
Modified: 2014-08-31 23:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-02-11 13:49:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:061 normal SHIPPED_LIVE Important: squid security update 2005-02-11 05:00:00 UTC

Description Josh Bressers 2005-02-01 16:42:46 UTC
This patch addresses a HTTP protocol mismatch related to oversized reply
headers. In addition it enhances the cache.log reporting on reply header parsing
failures to make it easier to track down which sites are malfunctioning.

The upstream patch for this issue is here:
http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-oversize_reply_headers.patch

Comment 1 Josh Bressers 2005-02-01 16:48:13 UTC
This issue should also affect RHEL2.1

Comment 2 Josh Bressers 2005-02-09 14:42:25 UTC
This issue can lead to cache pollution.

Comment 3 Jay Fenlason 2005-02-10 18:58:03 UTC
*** Bug 147695 has been marked as a duplicate of this bug. ***

Comment 4 Josh Bressers 2005-02-11 13:49:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-061.html



Note You need to log in before you can comment on or make changes to this bug.